Subject: Re: Is it possible to convert a ".so" file to a ".a" file?
From: Sven Köhler <[email-masked]>
To: [email-masked]
Date: Sun, 27 Oct 2002 21:13:31 +0100

> But if I understand you correctly, you were given ".so" binary files. 
> You won't be able to just take compiled Linux code and run it in 
> Cygwin: Cygwin is not UNIX.. Cygwin is a UNIX-like wrapper around 
> Windows. Cygwin is not an emulator for Linux binaries.
>
> Or maybe I misunderstood.

i think you didn't misunderstood him, but as an .so-file only contains 
some compiled code and links to other libraries, an .so-file may be made 
compatible to cygwin.
but this is to complicated, and i would recomm him, to use a remote-shell.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/